> For the complete documentation index, see [llms.txt](https://docs.tagshelf.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tagshelf.dev/event-api/event-structures.md).

# Event Structures

## Event API

Event API distinguishes between two distinct event types that provide timely and relevant information of generated Jobs&#x20;

## Job Events

Job Events provide comprehensive details about jobs that are new, existing, or completed within the Alfred platform. These events can be retrieved regardless of whether they originated from a third-party application or were initiated directly within Alfred.

The JSON payload format for these events is as follows:

```json
{
  "event_id": "A unique identifier for the event",
  "event_type": "The specific type of event that occurred",
  "event_time": "A Unix timestamp indicating when the event occurred",
  "event": {
    "description": "A detailed structure that varies based on the specific event."
  }
}
```

This structure ensures that users have access to consistent and essential information about each job event.

## File Events

Job Events provide comprehensive details about specific files that belong to a job within the Alfred platform. These events can be retrieved regardless of whether they originated from a third-party application or were initiated directly within Alfred.

The JSON payload format for these events is as follows:

```
{
  "event_id": "A unique identifier for the event",
  "event_type": "The specific type of event that occurred",
  "event_time": "A Unix timestamp indicating when the event occurred",
  "event": {
    "description": "A detailed structure that varies based on the specific event."
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tagshelf.dev/event-api/event-structures.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
